Subject: IEEE, WAS: engineering discipline WAS: stats from the text confe rencing experiment

From: Eastlake III Donald-LDE008 <[email-masked]>
Date: Mon, 2 Dec 2002 10:43:37 -0500

I guess our tastes just differ but I think the view presented by Bernard is through rose colored glasses. See comments below at @@@

-----Original Message-----
From: Bernard Aboba [mailto:[email-masked]]
Sent: Sunday, December 01, 2002 1:06 PM
To: Margaret Wasserman
Cc: Randy Bush; [email-masked]
Subject: Re: engineering discipline WAS: stats from the text conferencing experiment

> Do you know much about how they are organized?

There is the executive committee, then the chairs of the individual groups
(IEEE 802.1, 802.11, 802.15, 802.16, etc.), and task group chairs (IEEE
802.11f, 802.11i, etc.) In IEEE 802.1, the chair (currently Tony
Jeffree) operates more like a WG chair with several work items (IEEE
802.1aa, 802.1w, etc.) In IEEE 802.11 the chair (Stuart Kerry) tends to
function more like an Area Director than a chair, since IEEE 802.11
is broken up into Task Groups, each of which has a chair, and its own
work items.

@@@ Isn't it substantially deeper than this? There is the IEEE Board of Directors, then there is the IEEE Standards Association, then there is the 802 level, then there are the working groups and other bodies under 802 like 802.11, then there can be task groups or other bodies under them like 802.11i and there is a provision for sub-task groups at an even deeper level, not that I've ever seen any. (By the way, 802 is very unusual in having all these 802.* work groups. Most standards efforts get a new number for each big different effort they do. It's just because "802" has become a marketing label that each of its big different standards efforts deviates from the IEEE-SA norm and uses a new decimal under 802, aka LMSC, aka LanManStandardsCommittee (although that should now be PanLanManStandardsCommittee since it has taken BlueTooth and descendents under its wing).)

At the IEEE 802 plenary meetings, all groups are present although they may
not meet at the same hotel, and time can be scheduled for inter-group
meetings. For example, IEEE 802.11 could meet with 802.1aa, 802.11i could
meet with 802.11f (not a particularly productive discussion, that), etc.

@@@ Decisions can only be made at meetings or with a formal "letter ballot" with voting required. You can send in your vote by email on Letter Ballots and mailing lists exist but decision are not made on mailing lists. There is an enormous concern for following precise bureaucratic procedure compared with the IETF. For example, meetings are conducted according to Roberts Rules of Order with various 802 tweaks. Counted votes are often taken on even the most trivial items including the completely unnecessary counting of how many people are willing to specifically indicate they are abstaining. As you would expect, there are a few rules experts who periodically throw a monkey wrench into things by raising a point of order about the procedure or quorum or whatever. As another example of persnikityness, when the people working on 802.11i (the task group on security) set up a separate open mailing list because of the high volume of technical discussion going on and so that various !
cr!
ypto experts who had not yet gotten on the main mailing list could participate, they were denounced from the podium at the next 802.11 meeting and people were told to only use the official mailing list. But you can't even get on the official mailing list until you physically attend a meeting. And while the central IEEE administartion is paid profeesionals, the local WG administration by busy volunteers is not necessarily a marvel of efficiency. It has taken some people months after they started attending meetings to even get on the WG mailing list. And this central profession management of the WG web site and document submissions file service means are very restrictive rules on who can write/update files where, etc. And then there are WG document rules... All submissions in 802.11 have to be in MS Word or Power Point and not just any version but in MS Word-98. There is just no concept in the IEEE that it might be a negative factor to require people to purchase various such p!
ro!
prietary software just to be able to participate.

@@@ Basicly, things are just radically differnt in IEEE 802. Each WG has a defined membership and you have to attend multiple meeting to becoming a voting member and then continue to attend enough meeting and respond to enough Letter Ballots to retain voting status. In fact, depending on whether the meetings you attend are plenary or not and other factors, you can go through a whole bunch of stages where, after you first meeting you are entitled to be on the mailing list, then later you become entitled to access the members are of the web site and see the submissions, then, finally, you become a voting member.

The process of working group formation occurs via the Project
Authorization Request (PAR). This is similar to the WG chartering
process, but it seems to operate more expeditiously. Typically there is a
"Call for Interest" meeting (similar to a BOF) and then a Study Group is
formed to scope out the field and write the PAR. The Study Group typically
operates for no more than 6 months.

@@@ I believe that in almost all cases the minimum time to do something in the IETF, such as charter a group or approve a standard, is less than the IEEE. As to the average time, that's hard to tell. If some idea percolates around in the background in the IETF for years and finally matures and pops out as an IETF WG, is it fair to say the IETF process took, say, 7 years to charter that WG? The much higher hurdle to start a WG in the IEEE means that no one even talks about it until things are pretty mature, lots of background discussion has occured, there is industry support, etc.

I'd note that the PAR process seems considerably more efficient than the
WG formation and requirements process in general, though I have seen
examples where IEEE 802.11 task groups have gone astray due to lack of
structure that might have been available had requirements been done first.

> Do you have any perspective on what the IEEE is like on the inside?

I've been a voting member of 802.11, and a participant in 802.1. Here are
some observations on several issues:

- Funding
- Throughput/latency
- Tools
- IPR policy
- Participant accountability

Funding

Just as IETF has no corporate existence and is funded by ISOC, IEEE 802
exists within the IEEE corporate umbrella. Both encourage corporate
memberships to supply funding, and the memberships are fairly
expensive. There are tensions in the relationship between IEEE and
IEEE 802 just as there are issues in the relationship of ISOC and IETF.
However, it's not clear to me that the funding issues affect the
operation of the IEEE 802 standards process any more than ISOC finances
affect the operation of the IETF standards process.

Throughput/latency

This seems to vary widely by sub-group. For example, IEEE 802.1 seems to
regularly put out high quality standards in 18-24 months, while IEEE
802.11 takes much longer (IEEE 802.11 took 7 years, I believe). Having
attended both, I'd observe that the chairs and editors of IEEE 802.1 (Mick
Seaman and Tony Jeffree) have many years of experience, keep tight
reins on scope expansion, and seem to benefit from having a relatively
tight knit group that seems to have been together for quite a while. So
there seem to be definite benefits from having a highly competent "old
guard" in charge.

@@@ The voting membership of IEEE 802.1 is tiny these days, only about 20 people as I recall. Over 2/3 of all 802 voting members are now in 802.11. I think that variance factors such as how new or complex the standard is and how many cooks are trying to flavor the broth are as important as how much experience the leaders have.

Tools

Tools usage varies widely within IEEE 802, but 802.11 task groups tend to
use database tools to improve the efficiency of comment resolution. The
results are quite impressive -- groups can resolve and track hundreds
of comments from ballots in a way that would not be possible without the
tools. Tools is an area where the IETF has clearly been under-investing.
While IETF WG are using various tools today, as was discussed at the
Tools meeting for WG chairs at IETF 53, we could do more. There is now a
Bugzilla database set up for use by WG chairs, and perhaps this will lead
to more widespread usage (and understanding of requirements).

@@@ I don't have anything againt improved tools. But I would point out that the fanciest tool guarantee that every comment has a response and every i is dotted and every t is crossed does not guarantee that anyone really thought about the comment intelliegently or that the resulting standard will be correct.

IPR policy

The IEEE IPR policy does seem to do a better job at requiring disclosure,
earlier in the process. Disclosure is more widely required -- it's not
just for "contributions", as I understand it, but a general obligation of
attendees.

@@@ IEEE IPR policy is more restrictive. For example, any submission ends up with the IEEE having all rights even if it is just a general discussion paper or only has ideas that are rejected. In the IETF, authors retain joint rights to their work. But the IEEE is also highly accustomed to incorporating patented technology in standards. After all, the original Ethernet techology was patented. Some IEEE 802.11 Task Group debates seem to have an undercurrent of who can get their IPR into the standard so as to be guaranteed a revenue stream from licensing. Admittedly this is mostly at the hardware level so fees tend to be low and only charged to manufacturers, not the sort of high, end-user license fees you see in software.

Participant accountability

In IEEE, the ability to vote is tied to responses to ballots. If you don't
send in comments, (or at least abstain), you lose your right to vote. Now
the voting process has many bad side effects (block voting, wierd
political maneuvers, etc.) but it does result in wide reading of documents
within the voting membership, and a deluge of comments (hundreds or even
thousands). In IEEE you do not generally have many last minute issues
cropping up after passing of final ballot -- anyone who expects to have a
say in the standard will have spoken up way before that time.

@@@ If you have a huge WG, like 802.11, with hundreds of voting members, indeed you get lots of comments on Letter Ballots. And when there are votes in a Task Group at a meeting you can always tell if its something important because partisans grab people out of other meetings or the bar or whatever, who they think will vote there way, and the back of the room gets very crowded with people showing up just for that vote. Sure, voting membership is individual, etc., but since almost no one can afford to participate without organizational sponsorship, it is certainly my impression that most such organizations have specific policies as to how they want things to go and the members affiliated with them generally vote that way.

@@@ Donald